export type Column = {
    key: string;
    text?: string;
    sortable?: boolean;
    sortMethod?: (a: Item, b: Item) => number;
};
export type Item = Record<string, any>;
export type SortDirection = "ascending" | "descending";
declare const _default: <TItem extends Item>(__VLS_props: {
    columns: Column[];
    items: TItem[];
    sortBy?: string | undefined;
    sortDirection?: SortDirection | undefined;
} & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, __VLS_ctx?: Pick<{
    props: {
        columns: Column[];
        items: TItem[];
        sortBy?: string | undefined;
        sortDirection?: SortDirection | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: Partial<Record<string, (_: {
        item: TItem;
    }) => any>>;
    emit: (event: "update:sortBy" | "update:sortDirection", ...args: any[]) => void;
}, "attrs" | "slots" | "emit"> | undefined, __VLS_setup?: Promise<{
    props: {
        columns: Column[];
        items: TItem[];
        sortBy?: string | undefined;
        sortDirection?: SortDirection | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: Partial<Record<string, (_: {
        item: TItem;
    }) => any>>;
    emit: (event: "update:sortBy" | "update:sortDirection", ...args: any[]) => void;
}>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> & {
    __ctx?: {
        props: {
            columns: Column[];
            items: TItem[];
            sortBy?: string | undefined;
            sortDirection?: SortDirection | undefined;
        };
        expose(exposed: {}): void;
        attrs: any;
        slots: Partial<Record<string, (_: {
            item: TItem;
        }) => any>>;
        emit: (event: "update:sortBy" | "update:sortDirection", ...args: any[]) => void;
    } | undefined;
};
export default _default;
